Attribute VB_Name = "APIfunction"
Option Explicit

'  
Declare Function AddFontResource Lib "gdi32" _
                            Alias "AddFontResourceA" _
                            (ByVal lpFileName As String) As Long

'  
Declare Function RemoveFontResource Lib "gdi32" _
                            Alias "RemoveFontResourceA" _
                            (ByVal lpFileName As String) As Long


' 
Declare Function LineTo Lib "gdi32" _
                            (ByVal hdc As Long, ByVal x As Long, _
                            ByVal y As Long) As Long
                            '     

' 
Declare Function MoveToEx Lib "gdi32" _
                            (ByVal hdc As Long, ByVal x As Long, _
                            ByVal y As Long, lpPoint As POINTAPI) As Long
                            'x, y -  , lpPoint -  .

'   
Declare Function DrawText Lib "user32" _
                            Alias "DrawTextA" _
                            (ByVal hdc As Long, ByVal lpStr As String, _
                            ByVal nCount As Long, lpRect As RECT, _
                            ByVal wFormat As Long) As Long
                            'lpStr -   , nCount -   
                            ', lpRect -    
                            ', wFormat -  :
Public Const DT_BOTTOM = 8 '   "".
'   DT_SINGLELINE.
'
Public Const DT_CALCRECT = &H400 '     .
 '
Public Const DT_CENTER = 1 ' .
'
'DT_EDITCONTROL  '    control -a multiline.
'        control -a multiline,
'       .
'
'DT_END_ELLIPSIS or DT_PATH_ELLIPSIS   
'
'DT_EXPANDTABS     
'
'DT_EXTERNALLEADING       
'
'DT_LEFT  
'
'DT_MODIFYSTRING  
'
'DT_NOCLIP     .
'
'DT_NOPREFIX   
'
Public Const DT_RIGHT = 2 ' 
'
'DT_RTLREADING     
'
Public Const DT_SINGLELINE = &H20 '   
'
'DT_TABSTOP    
'
Public Const DT_TOP = 0 '   (     )
'
Public Const DT_VCENTER = 4 '   (      )
'
'DT_WORDBREAK    ' 
'
'
' DT_CALCRECT, DT_EXTERNALLEADING, DT_INTERNAL,
'DT_NOCLIP,  DT_NOPREFIX     DT_TABSTOP.

'  
Declare Function GetDC Lib "user32" _
                            (ByVal hwnd As Long) As Long
                            
'  
Declare Function GetCursorPos Lib "user32" _
                            (lpPoint As POINTAPI) As Long
                            
' 
Declare Function Ellipse Lib "gdi32" _
                            (ByVal hdc As Long, _
                             ByVal X1 As Long, _
                             ByVal Y1 As Long, _
                             ByVal X2 As Long, _
                             ByVal Y2 As Long) As Long
                             'X1 -     ,
                             '   
                             'Y1 -  
                             'X2 -  
                             'Y2 -  

'=============================================================
Type POINTAPI ',   
        x As Long
        y As Long
End Type

Type RECT ' :
        Left As Long 'x - .   
        Top As Long 'y - .   
        Right As Long 'x - .   
        Bottom As Long 'y - .   
End Type

'=============================================================
Public Declare Function SetWindowPos _
                                                        Lib "user32" _
                                                        (ByVal hwnd As Long, _
                                                        ByVal hWndInsertAfter As Long, _
                                                        ByVal x As Long, _
                                                        ByVal y As Long, _
                                                        ByVal cx As Long, _
                                                        ByVal cy As Long, _
                                                        ByVal wFlags As Long) _
                                                        As Long
'-,    
                                                        
' 
'Public Const HWND_BOTTOM = 1 '   
'Public Const HWND_BROADCAST = &HFFFF&'????
'Public Const HWND_DESKTOP = 0'???
Public Const HWND_NOTOPMOST = -2 '  ""
'Public Const HWND_TOP = 0' 
Public Const HWND_TOPMOST = -1 '     
'Public Const SWP_FRAMECHANGED = &H20 '  WM_NCCALCSIZE ,  
                                '   ;    ,    
                                '   
'Public Const SWP_DRAWFRAME = SWP_FRAMECHANGED'. 
'Public Const SWP_HIDEWINDOW = &H80' 
'Public Const SWP_NOACTIVATE = &H10'- 
'Public Const SWP_NOCOPYBITS = &H100'      
Public Const SWP_NOMOVE = &H2 '   
'Public Const SWP_NOOWNERZORDER = &H200'  Z-
'Public Const SWP_NOREDRAW = &H8'    ( )
'Public Const SWP_NOREPOSITION = SWP_NOOWNERZORDER
Public Const SWP_NOSIZE = &H1 '   
'Public Const SWP_NOZORDER = &H4' Z-
Public Const SWP_SHOWWINDOW = &H40 ' 
'__________________________________________________________________________________
'  
Public Declare Function GetSysColor _
                                                Lib "user32" _
                                                ( _
                                                ByVal nIndex As Long _
                                                ) _
                                                As Long
' ,   
Public Enum SysColor
        COLOR_SCROLLBAR = 0
        COLOR_BACKGROUND = 1
        COLOR_ACTIVECAPTION = 2
        COLOR_INACTIVECAPTION = 3
        COLOR_MENU = 4
        COLOR_WINDOW = 5
        COLOR_WINDOWFRAME = 6
        COLOR_MENUTEXT = 7
        COLOR_WINDOWTEXT = 8
        COLOR_CAPTIONTEXT = 9
        COLOR_ACTIVEBORDER = 10
        COLOR_INACTIVEBORDER = 11
        COLOR_APPWORCSPACE = 12
        COLOR_HIGHLIGHT = 13
        COLOR_HIGHLIGHTTEXT = 14
        COLOR_BTNFACE = 15
        COLOR_BTNSHADOW = 16
        COLOR_GRAYTEXT = 17
        COLOR_BTNTEXT = 18
        COLOR_INACTIVECAPTIONTEXT = 19
        COLOR_BTNHIGHLIGHT = 20
        COLOR_3DDKSHADOW = 21
        COLOR_3DLIGHT = 22
        COLOR_INFOTEXT = 23
        COLOR_INFOBK = 24
        COLOR_DESKTOP = COLOR_BACKGROUND
        COLOR_3DFACE = COLOR_BTNFACE
        COLOR_3DSHADOW = COLOR_BTNSHADOW
        COLOR_3DHIGHLIGHT = COLOR_BTNHIGHLIGHT
        COLOR_3DHILIGHT = COLOR_3DHIGHLIGHT
        COLOR_BTNHILIGHT = COLOR_BTNHIGHLIGHT
End Enum

'__________________________________________________________________________________
'    ,      
' 
'hdc -   
'hObject -   
Public Declare Function SelectObject _
                                                            Lib "gdi32" _
                                                            ( _
                                                            ByVal hdc As Long, _
                                                            ByVal hObject As Long _
                                                            ) _
                                                            As Long
                                                            
'__________________________________________________________________________________
'  , , , , , ,   ,
'  
'hObject -   
Public Declare Function DeleteObject _
                                                            Lib "gdi32" _
                                                            ( _
                                                            ByVal hObject As Long _
                                                            ) _
                                                            As Long
                                                            
'__________________________________________________________________________________
'  ,      .
'            
'lpLogFont -   ,    
Public Declare Function CreateFontIndirect _
                                                                    Lib "gdi32" Alias "CreateFontIndirectA" _
                                                                    ( _
                                                                    lpLogFont As LOGFONT _
                                                                    ) _
                                                                    As Long
                                                                    
''__________________________________________________________________________________
''     ,   
''hdc -   
''x -   x-,    
''y-   y-,    
''lpString -   ,   ,     "\0"
''nCount -    
Public Declare Function TextOut _
                                                    Lib "gdi32" Alias "TextOutA" _
                                                    ( _
                                                    ByVal hdc As Long, _
                                                    ByVal x As Long, _
                                                    ByVal y As Long, _
                                                    ByVal lpString As String, _
                                                    ByVal nCount As Long _
                                                    ) _
                                                    As Long
                                                    
'__________________________________________________________________________________
' .   
'hdc -   
'nIndex -    ( )
Public Declare Function GetDeviceCaps _
                                                                Lib "gdi32" _
                                                                ( _
                                                                ByVal hdc As Long, _
                                                                ByVal nIndex As Long _
                                                                ) _
                                                                As Long
                                                                
  Public Const LF_FACESIZE = 32

  Public Const LOGPIXELSX = 88

  Public Const LOGPIXELSY = 90

'__________________________________________________________________________________
'  
'lfHeight -   
'lfWidth -    
'lfEscapement - ,  0,1,       
'lfOrientation -        (  NT)
'lfWeight - "" -  
':
              Public Const FW_DONTCARE = 0
              Public Const FW_THIN = 100
              Public Const FW_EXTRALIGHT = 200
              Public Const FW_ULTRALIGHT = FW_EXTRALIGHT
              Public Const FW_LIGHT = 300
              Public Const FW_NORMAL = 400
              Public Const FW_MEDIUM = 500
              Public Const FW_SEMIBOLD = 600
              Public Const FW_DEMIBOLD = FW_SEMIBOLD
              Public Const FW_REGULAR = FW_NORMAL
              Public Const FW_BOLD = 700
              Public Const FW_EXTRABOLD = 800
              Public Const FW_ULTRABOLD = FW_EXTRABOLD
              Public Const FW_HEAVY = 900
              Public Const FW_BLACK = FW_HEAVY
'lfItalic -   - 
'lfUnderline - 
'lfStrikeOut - 
'lfCharSet -   
              Public Const ANSI_CHARSET = 0
              Public Const DEFAULT_CHARSET = 1
              Public Const SYMBOL_CHARSET = 2
              Public Const SHIFTJIS_CHARSET = 128
              Public Const HANGEUL_CHARSET = 129
              Public Const CHINESEBIG5_CHARSET = 136
              Public Const OEM_CHARSET = 255
              Public Const JOHAB_CHARSET = 130
              Public Const HEBREW_CHARSET = 177
              Public Const ARABIC_CHARSET = 178
              Public Const GREEK_CHARSET = 161
              Public Const TURKISH_CHARSET = 162
              Public Const THAI_CHARSET = 222
              Public Const EASTEUROPE_CHARSET = 238
              Public Const RUSSIAN_CHARSET = 204
              Public Const MAC_CHARSET = 77
              Public Const BALTIC_CHARSET = 186
'lfOutPrecision -  
              Public Const OUT_CHARACTER_PRECIS = 2 '-   
              Public Const OUT_DEFAULT_PRECIS = 0 ' -   (  )
              Public Const OUT_DEVICE_PRECIS = 5 '      ,
    '  
              Public Const OUT_OUTLINE_PRECIS = 8 ' 9x  .
              Public Const OUT_RASTER_PRECIS = 6 '      ,
    '  
              Public Const OUT_STRING_PRECIS = 1 '   ,  , 
    '  
              Public Const OUT_STROKE_PRECIS = 3 ' 9x ,   ,
    'TrueType   ,     
              Public Const OUT_TT_ONLY_PRECIS = 7 '  TrueType ,  
    '  ,   -
              Public Const OUT_TT_PRECIS = 4 ' TrueType ,    
    '  
'lfClipPrecision  -  
              Public Const CLIP_CHARACTER_PRECIS = 1 ' -  
              Public Const CLIP_DEFAULT_PRECIS = 0 '-  -
              Public Const CLIP_EMBEDDED = 128 ' -     --
              Public Const CLIP_LH_ANGLES = 16 ' -  ,     
    '   (  ).   ,  
    '     ,    -   
    ' .
              Public Const CLIP_MASK = &HF ' -  
              Public Const CLIP_STROKE_PRECIS = 2 ' - ,   , 
    ' TrueType - 
              Public Const CLIP_TT_ALWAYS = 32 ' -  
'lfQuality -  .
              Public Const DEFAULT_QUALITY = 0 ' -  ,   
              Public Const DRAFT_QUALITY = 1 ' -   ,    
    ' . , , ,    .
              Public Const PROOF_QUALITY = 2 ' -   ,    
    ' .    ,    .
    ', , ,    .
'lfPitchAndFamily -    .
              Public Const DEFAULT_PITCH = 0 ' -  -
              Public Const FIXED_PITCH = 1 ' -  
              Public Const VARIABLE_PITCH = 2 ' -  
              Public Const FF_DECORATIVE = 80 ' -  
              Public Const FF_DONTCARE = 0 ' -   
              Public Const FF_MODERN = 48 ' -     ,  ,
    '  ,
              Public Const FF_ROMAN = 16 ' -   ,  
              Public Const FF_SCRIPT = 64 ' -  
              Public Const FF_SWISS = 32 ' -   ,  
'lfFaceName - ,  \0,   ,  
    '   32,  \0.    -   
    '   
  Type LOGFONT
        lfHeight As Long
        lfWidth As Long
        lfEscapement As Long
        lfOrientation As Long
        lfWeight As Long
        lfItalic As Byte
        lfUnderline As Byte
        lfStrikeOut As Byte
        lfCharSet As Byte
        lfOutPrecision As Byte
        lfClipPrecision As Byte
        lfQuality As Byte
        lfPitchAndFamily As Byte
        lfFaceName(LF_FACESIZE - 1) As Byte
End Type

'___________________________________________________________________________________
'___________________________________________________________________________________
'___________________________________________________________________________________
 Declare Function GetLastError Lib "kernel32" () As Long

'___________________________________________________________________________________
''  ,    .    
'' ,   .
'':
''hdc -  
''x -   X-    
''y -    Y
''wOptions -    :
' Public Const ETO_CLIPPED = 4 ' -    
'  Public Const ETO_OPAQUE = 2 ' -      
''lpRect - ,  
''lpString -    .    "0".
''nCount -    
''lpDx -    ,    
''.
' Declare Function ExtTextOut _
'                                                Lib "gdi32" Alias "ExtTextOutA" _
'                                                ( _
'                                                ByVal hdc As Long, _
'                                                ByVal x As Long, _
'                                                ByVal y As Long, _
'                                                ByVal wOptions As Long, _
'                                                lpRect As RECT, _
'                                                ByVal lpString As String, _
'                                                ByVal nCount As Long, _
'                                                lpDx As Long _
'                                                ) _
'                                                As Long
'
''___________________________________________________________________________________
' -,        
':
 Public Const TA_BASELINE = 24 ' -      
Public Const TA_BOTTOM = 8 ' -       
Public Const TA_TOP = 0 ' -   
Public Const TA_CENTER = 6 '-      
Public Const TA_LEFT = 0 ' -  
Public Const TA_RIGHT = 2 '- 
Public Const TA_NOUPDATECP = 0 ' -       
Public Const TA_UPDATECP = 1 ' -      
Public Const VTA_BASELINE = TA_BASELINE '  :
Public Const VTA_BOTTOM = TA_RIGHT
Public Const VTA_CENTER = TA_CENTER
Public Const VTA_LEFT = TA_BOTTOM
Public Const VTA_RIGHT = TA_TOP
Public Const VTA_TOP = TA_LEFT
Public Const GDI_ERROR = &HFFFF '   

Declare Function GetTextAlign _
                                                            Lib "gdi32" _
                                                          ( _
                                                            ByVal hdc As Long _
                                                            ) _
                                                            As Long

 Declare Function SetTextAlign _
                                                            Lib "gdi32" _
                                                            ( _
                                                            ByVal hdc As Long, _
                                                            ByVal wFlags As Long _
                                                            ) _
                                                            As Long

''___________________________________________________________________________________
' Reg Key Security Options...
Public Const READ_CONTROL = &H20000
' Reg Key ROOT Types...
Public Const ERROR_SUCCESS = 0
Public Const gREGKEYSYSINFOLOC = "SOFTWARE\Microsoft\Shared Tools Location"
Public Const gREGVALSYSINFOLOC = "MSINFO"
Public Const gREGKEYSYSINFO = "SOFTWARE\Microsoft\Shared Tools\MSINFO"
Public Const gREGVALSYSINFO = "PATH"
'-  .  .
':
'hKey   ,
    ' :
        'HKEY_CLASSES_ROOT
        'HKEY_CURRENT_USER
        Public Const HKEY_LOCAL_MACHINE = &H80000002
        'HKEY_USERS
'lpSubKey ,    
'ulOptions ,   0
'samDesired ,   
Public Const KEY_QUERY_VALUE = &H1
Public Const KEY_SET_VALUE = &H2
Public Const KEY_CREATE_SUB_KEY = &H4
Public Const KEY_ENUMERATE_SUB_KEYS = &H8
Public Const KEY_NOTIFY = &H10
Public Const KEY_CREATE_LINK = &H20
Public Const KEY_ALL_ACCESS = KEY_QUERY_VALUE + KEY_SET_VALUE + _
                                KEY_CREATE_SUB_KEY + KEY_ENUMERATE_SUB_KEYS + _
                                            KEY_NOTIFY + KEY_CREATE_LINK + READ_CONTROL
'phkResult -   
Public Declare Function RegOpenKeyEx _
                                                                Lib "advapi32" Alias "RegOpenKeyExA" _
                                                                ( _
                                                                ByVal hKey As Long, _
                                                                ByVal lpSubKey As String, _
                                                                ByVal ulOptions As Long, _
                                                                ByVal samDesired As Long, _
                                                                ByRef phkResult As Long _
                                                                ) _
                                                                As Long
                                                                
'   , .   
'hKey
'lpValueName
'lpReserved
'lpType -   , :
Public Const REG_SZ = 1                         ' Unicode nul terminated string
Public Const REG_DWORD = 4                      ' 32-bit number
'lpData -     
'lpcbData -   ,   ( ) , 
' 
Public Declare Function RegQueryValueEx _
                                                                    Lib "advapi32" Alias "RegQueryValueExA" _
                                                                    ( _
                                                                    ByVal hKey As Long, _
                                                                    ByVal lpValueName As String, _
                                                                    ByVal lpReserved As Long, _
                                                                    ByRef lpType As Long, _
                                                                    ByVal lpData As String, _
                                                                    ByRef lpcbData As Long _
                                                                    ) _
                                                                    As Long
                                                                    
'  .  .
'     . -    ,
'   . - RegFlushKey
Public Declare Function RegCloseKey _
                                                            Lib "advapi32" _
                                                            ( _
                                                            ByVal hKey As Long _
                                                            ) _
                                                            As Long

'------------------------------------------------------------------------------------------------------------------
'  
'Public Declare Function GetDC _
'                                                Lib "user32.dll" _
'                                                ( _
'                                                ByVal hWnd As Long _
'                                                ) _
'                                                As Long
'  
Public Declare Function ReleaseDC _
                                                        Lib "user32.dll" _
                                                        ( _
                                                        ByVal hwnd As Long, _
                                                        ByVal hdc As Long _
                                                        ) _
                                                        As Long
'------------------------------------------------------------------------------------------------------------------
Public Declare Function SetWindowRgn _
                                                                Lib "user32" _
                                                                ( _
                                                                ByVal hwnd As Long, _
                                                                ByVal hRgn As Long, _
                                                                ByVal bRedraw As Boolean _
                                                                ) _
                                                                As Long
'------------------------------------------------------------------------------------------------------------------
   Declare Function ReleaseCapture Lib "user32" () As Long
   Declare Function SendMessage Lib "user32" Alias "SendMessageA" (ByVal hwnd As Long, ByVal wMsg As Long, ByVal wParam As Long, lParam As Any) As Long
   Public Const HTCAPTION = 2
   Public Const WM_NCLBUTTONDOWN = &HA1
'------------------------------------------------------------------------------------------------------------------
Declare Function TrackPopupMenuBynum Lib "user32" Alias "TrackPopupMenu" (ByVal hMenu _
                    As Long, ByVal wFlags As Long, ByVal x As Long, ByVal y As Long, ByVal nReserved As _
                    Long, ByVal hwnd As Long, ByVal lprc As Long) As Long
'------------------------------------------------------------------------------------------------------------------
Declare Function GetTextMetrics Lib "gdi32" Alias "GetTextMetricsA" (ByVal hdc _
                                                                                    As Long, lpMetrics As TEXTMETRIC) As Long
'------------------------------------------------------------------------------------------------------------------
Declare Function UpdateWindow Lib "user32" (ByVal hwnd As Long) As Long
'------------------------------------------------------------------------------------------------------------------
Declare Function RegOpenKey Lib "advapi32.dll" Alias "RegOpenKeyA" (ByVal hKey _
                                                                As Long, ByVal lpSubKey As String, phkResult As Long) As Long
'------------------------------------------------------------------------------------------------------------------
Declare Function RegQueryValue Lib "advapi32.dll" Alias "RegQueryValueA" _
                    (ByVal hKey As Long, ByVal lpSubKey As String, ByVal lpValue As String, _
                    lpcbValue As Long) As Long
                    
'Declare Function RegQueryValueEx Lib "advapi32.dll" Alias "RegQueryValueExA" _
'                    (ByVal hKey As Long, ByVal lpValueName As String, ByVal lpReserved As Long, _
'                    lpType As Long, lpData As Any, lpcbData As Long) As Long

'------------------------------------------------------------------------------------------------------------------
Declare Function RegSetValue Lib "advapi32.dll" Alias "RegSetValueA" (ByVal _
                                hKey As Long, ByVal lpSubKey As String, ByVal dwType As Long, ByVal lpData As _
                                String, ByVal cbData As Long) As Long
                                
'Declare Function RegSetValueEx Lib "advapi32.dll" Alias "RegSetValueExA" _
'                        (ByVal hKey As Long, ByVal lpValueName As String, ByVal Reserved As Long, ByVal _
'                        dwType As Long, lpData As Byte, ByVal cbData As Long) As Long
''------------------------------------------------------------------------------------------------------------------
'Declare Function RegCloseKey Lib "advapi32.dll" (ByVal hKey As Long) As Long
''------------------------------------------------------------------------------------------------------------------
Declare Function GetWindowRect Lib "user32" (ByVal hwnd As Long, lpRect As RECT) As Long
''------------------------------------------------------------------------------------------------------------------
Public Type PAINTSTRUCT
        hdc As Long
        fErase As Long
        rcPaint As RECT
        fRestore As Long
        fIncUpdate As Long
        rgbReserved(32) As Byte
End Type

Public Declare Function BeginPaint Lib "user32" (ByVal hwnd As Long, _
                                                                                                            lpPaint As PAINTSTRUCT) As Long
                                                                                                            
Public Declare Function EndPaint Lib "user32" (ByVal hwnd As Long, _
                                                                                                            lpPaint As PAINTSTRUCT) As Long
                                                                                                            
Public Declare Function GetClientRect Lib "user32" (ByVal hwnd As Long, lpRect As RECT) As Long
''------------------------------------------------------------------------------------------------------------------
Public Declare Function SetTimer Lib "user32" (ByVal hwnd As Long, _
                                                                                ByVal nIDEvent As Long, _
                                                                                ByVal uElapse As Long, _
                                                                                ByVal lpTimerFunc As Long) As Long
                                                                                
Public Declare Function KillTimer Lib "user32" (ByVal hwnd As Long, _
                                                                                ByVal nIDEvent As Long) As Long
''------------------------------------------------------------------------------------------------------------------
'Public Declare Function ChooseColor Lib "comdlg32.dll" Alias "ChooseColorA" _
'                                                                                         (pChoosecolor As stCHOOSECOLOR) As Long
Public Declare Function ChooseFont Lib "comdlg32.dll" Alias "ChooseFontA" _
                                                                                                (pChoosefont As stCHOOSEFONT) As Long

'Public Type stCHOOSECOLOR
'        lStructSize As Long
'        hwndOwner As Long
'        hInstance As Long
'        rgbResult As Long
'        lpCustColors As Long
'        flags As Long
'        lCustData As Long
'        lpfnHook As Long
'        lpTemplateName As String
'End Type

Public Type stCHOOSEFONT
        lStructSize As Long
        hwndOwner As Long          '  caller's window handle
        hdc As Long                '  printer DC/IC or NULL
        lpLogFont As Long
        iPointSize As Long         '  10 * size in points of selected font
        flags As Long              '  enum. type flags
        rgbColors As Long          '  returned text color
        lCustData As Long          '  data passed to hook fn.
        lpfnHook As Long           '  ptr. to hook function
        lpTemplateName As String     '  custom template name
        hInstance As Long          '  instance handle of.EXE that
                                       '    contains cust. dlg. template
        lpszStyle As String          '  return the style field here
                                       '  must be LF_FACESIZE or bigger
        nFontType As Integer          '  same value reported to the EnumFonts
                                       '    call back with the extra FONTTYPE_
                                       '    bits added
        MISSING_ALIGNMENT As Integer
        nSizeMin As Long           '  minimum pt size allowed &
        nSizeMax As Long           '  max pt size allowed if
                                       '    CF_LIMITSIZE is used
End Type

Public Const CF_SCREENFONTS = &H1
Public Const CF_TTONLY = &H40000
Public Const CF_EFFECTS = &H100&

'Public Const CC_RGBINIT = &H1
'
'Public Declare Function CommDlgExtendedError Lib "comdlg32.dll" () As Long

